diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/wptouch.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/wptouch.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/plugins/wptouch.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/plugins/wptouch.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 23,29 ****
  		<label><input type="radio" name="cache_wptouch" value="0" <?php if( !$cache_wptouch ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://wordpress.org/extend/plugins/wptouch/">WPTouch</a> mobile theme and plugin.', 'wp-super-cache' ) . '</p>';
! 		if ($changed) {
  			if ( $cache_wptouch )
  				$status = __( "enabled" );
  			else
--- 23,29 ----
  		<label><input type="radio" name="cache_wptouch" value="0" <?php if( !$cache_wptouch ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Disabled', 'wp-super-cache' ); ?></label>
  		<p><?php _e( '', 'wp-super-cache' ); ?></p><?php
  		echo '<p>' . __( 'Provides support for <a href="http://wordpress.org/extend/plugins/wptouch/">WPTouch</a> mobile theme and plugin.', 'wp-super-cache' ) . '</p>';
! 		if ( isset( $changed ) && $changed ) {
  			if ( $cache_wptouch )
  				$status = __( "enabled" );
  			else
***************
*** 63,69 ****
  	if ( $cache_wptouch != 1 )
  		return false;
  
! 	if ( isset( $_COOKIE[ 'wptouch_switch_toggle' ] ) && $_COOKIE['wptouch_switch_toggle'] == 'normal' )
  		return true;
  
  	$ua = explode( ",", $wptouch_exclude_ua );
--- 63,70 ----
  	if ( $cache_wptouch != 1 )
  		return false;
  
! 	if ( ( isset( $_COOKIE[ 'wptouch_switch_toggle' ] ) && $_COOKIE[ 'wptouch_switch_toggle' ] == 'normal' ) ||
! 		( isset( $_COOKIE[ 'wptouch-pro-view' ] ) && $_COOKIE[ 'wptouch-pro-view' ] == 'desktop' ) )
  		return true;
  
  	$ua = explode( ",", $wptouch_exclude_ua );
***************
*** 103,112 ****
  	if ( $_COOKIE[ 'wptouch_switch_toggle' ] == 'normal' || $_COOKIE[ 'wptouch_switch_toggle' ] == 'mobile' )
  		return $_COOKIE[ 'wptouch_switch_toggle' ];
  
  	return $cache_key;
  }
  
! if ( $cache_wptouch == 1 ) {
  	add_cacheaction( 'wp_super_cache_mobile_browsers', 'wp_super_cache_wptouch_browsers' );
  	add_cacheaction( 'wp_super_cache_mobile_prefixes', 'wp_super_cache_wptouch_prefixes' );
  	add_cacheaction( 'wp_cache_check_mobile', 'wp_super_cache_wptouch_cookie_check' );
--- 104,120 ----
  	if ( $_COOKIE[ 'wptouch_switch_toggle' ] == 'normal' || $_COOKIE[ 'wptouch_switch_toggle' ] == 'mobile' )
  		return $_COOKIE[ 'wptouch_switch_toggle' ];
  
+ 	if ( isset( $_COOKIE[ 'wptouch-pro-view' ] ) ) {
+ 		if ( $_COOKIE[ 'wptouch-pro-view' ] == 'desktop' )
+ 			return 'normal';
+ 		else
+ 			return $_COOKIE[ 'wptouch-pro-view' ];
+ 	}
+ 
  	return $cache_key;
  }
  
! if ( isset( $cache_wptouch ) && $cache_wptouch == 1 ) {
  	add_cacheaction( 'wp_super_cache_mobile_browsers', 'wp_super_cache_wptouch_browsers' );
  	add_cacheaction( 'wp_super_cache_mobile_prefixes', 'wp_super_cache_wptouch_prefixes' );
  	add_cacheaction( 'wp_cache_check_mobile', 'wp_super_cache_wptouch_cookie_check' );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-base.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-base.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-base.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-base.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 10,21 ****
  	}
  }
  
  // We want to be able to identify each blog in a WordPress MU install
  $blogcacheid = '';
  if ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) {
  	$blogcacheid = 'blog'; // main blog
  	if( defined( 'SUBDOMAIN_INSTALL' ) && constant( 'SUBDOMAIN_INSTALL' ) == true ) {
! 		$blogcacheid = $_SERVER['SERVER_NAME'];
  	} else {
  		$request_uri = preg_replace('/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '..', '', $_SERVER['REQUEST_URI'] ) );
  		if( strpos( $request_uri, '/', 1 ) ) {
--- 10,23 ----
  	}
  }
  
+ $WPSC_HTTP_HOST = htmlentities( $_SERVER[ 'HTTP_HOST' ] );
+ 
  // We want to be able to identify each blog in a WordPress MU install
  $blogcacheid = '';
  if ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) {
  	$blogcacheid = 'blog'; // main blog
  	if( defined( 'SUBDOMAIN_INSTALL' ) && constant( 'SUBDOMAIN_INSTALL' ) == true ) {
! 		$blogcacheid = $WPSC_HTTP_HOST;
  	} else {
  		$request_uri = preg_replace('/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '..', '', $_SERVER['REQUEST_URI'] ) );
  		if( strpos( $request_uri, '/', 1 ) ) {
***************
*** 23,29 ****
  				$blogcacheid = substr( $request_uri, 1, strpos( $request_uri, '/', 1 ) - 1 );
  			} else {
  				$blogcacheid = str_replace( $base, '', $request_uri );
! 				$blogcacheid = substr( $blogcacheid, 0, strpos( $blogcacheid, '/', 1 ) );
  			}
  			if ( '/' == substr($blogcacheid, -1))
  				$blogcacheid = substr($blogcacheid, 0, -1);
--- 25,32 ----
  				$blogcacheid = substr( $request_uri, 1, strpos( $request_uri, '/', 1 ) - 1 );
  			} else {
  				$blogcacheid = str_replace( $base, '', $request_uri );
! 				if ( $blogcacheid != '' )
! 					$blogcacheid = substr( $blogcacheid, 0, strpos( $blogcacheid, '/', 1 ) );
  			}
  			if ( '/' == substr($blogcacheid, -1))
  				$blogcacheid = substr($blogcacheid, 0, -1);
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 72,77 ****
--- 72,78 ----
  $wp_cache_pages[ "archives" ] = 0;
  $wp_cache_pages[ "pages" ] = 0;
  $wp_cache_pages[ "single" ] = 0;
+ $wp_cache_pages[ "author" ] = 0;
  $wp_cache_hide_donation = 0;
  $wp_cache_not_logged_in = 0;
  $wp_cache_clear_on_post_edit = 0;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-phase1.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-phase1.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/plugins/wp-super-cache/wp-cache-phase1.php	2012-10-29 12:35:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/plugins/wp-super-cache/wp-cache-phase1.php	2012-12-17 16:18:44.000000000 -0600
***************
*** 10,17 ****
  if( !defined( 'WPCACHEHOME' ) )
  	define('WPCACHEHOME', dirname(__FILE__).'/');
  
- if ( false == isset( $_SERVER[ 'SERVER_NAME' ] ) && true == isset( $_SERVER[ 'HTTP_HOST' ] ) )
- 	$_SERVER[ 'SERVER_NAME' ] = $_SERVER[ 'HTTP_HOST' ];
  
  include( WPCACHEHOME . 'wp-cache-base.php');
  
--- 10,15 ----
***************
*** 33,40 ****
  	$cache_enabled = false;
  	define( 'DONOTCACHEPAGE', 1 );
  }
- if ( isset( $wp_cache_make_known_anon ) && $wp_cache_make_known_anon )
- 	wp_supercache_cache_for_admins();
  
  $plugins = glob( $wp_cache_plugins_dir . '/*.php' );
  if( is_array( $plugins ) ) {
--- 31,36 ----
***************
*** 44,49 ****
--- 40,48 ----
  	}
  }
  
+ if ( isset( $wp_cache_make_known_anon ) && $wp_cache_make_known_anon )
+ 	wp_supercache_cache_for_admins();
+ 
  do_cacheaction( 'cache_init' );
  
  if (!$cache_enabled || $_SERVER["REQUEST_METHOD"] == 'POST') 
***************
*** 61,67 ****
  	if ( 1 == ini_get( 'zlib.output_compression' ) || "on" == strtolower( ini_get( 'zlib.output_compression' ) ) ) // don't compress WP-Cache data files when PHP is already doing it
  		return false;
  
! 	if ( isset( $_SERVER[ 'HTTP_ACCEPT_ENCODING' ] ) && strpos( $_SERVER[ 'HTTP_ACCEPT_ENCODING' ], 'gzip' ) === false ) return false;
  	return 'gzip';
  }
  
--- 60,66 ----
  	if ( 1 == ini_get( 'zlib.output_compression' ) || "on" == strtolower( ini_get( 'zlib.output_compression' ) ) ) // don't compress WP-Cache data files when PHP is already doing it
  		return false;
  
! 	if ( !isset( $_SERVER[ 'HTTP_ACCEPT_ENCODING' ] ) || ( isset( $_SERVER[ 'HTTP_ACCEPT_ENCODING' ] ) && strpos( $_SERVER[ 'HTTP_ACCEPT_ENCODING' ], 'gzip' ) === false ) ) return false;
  	return 'gzip';
  }
  
***************
*** 97,106 ****
  $wp_start_time = microtime();
  
  function get_wp_cache_key( $url = false ) {
! 	global $wp_cache_request_uri, $wp_cache_gzip_encoding;
  	if ( !$url )
  		$url = $wp_cache_request_uri;
! 	return do_cacheaction( 'wp_cache_key', $_SERVER['SERVER_NAME'] . intval( $_SERVER[ 'SERVER_PORT' ] ) . preg_replace('/#.*$/', '', str_replace( '/index.php', '/', $url ) ) . $wp_cache_gzip_encoding . wp_cache_get_cookies_values() );
  }
  
  function wp_super_cache_init() {
--- 96,105 ----
  $wp_start_time = microtime();
  
  function get_wp_cache_key( $url = false ) {
! 	global $wp_cache_request_uri, $wp_cache_gzip_encoding, $WPSC_HTTP_HOST;
  	if ( !$url )
  		$url = $wp_cache_request_uri;
! 	return do_cacheaction( 'wp_cache_key', $WPSC_HTTP_HOST . intval( $_SERVER[ 'SERVER_PORT' ] ) . preg_replace('/#.*$/', '', str_replace( '/index.php', '/', $url ) ) . $wp_cache_gzip_encoding . wp_cache_get_cookies_values() );
  }
  
  function wp_super_cache_init() {
***************
*** 120,125 ****
--- 119,125 ----
  function wp_cache_serve_cache_file() {
  	global $key, $blogcacheid, $wp_cache_request_uri, $file_prefix, $blog_cache_dir, $meta_file, $cache_file, $cache_filename, $wp_super_cache_debug, $meta_pathname, $wp_cache_gzip_encoding, $meta;
  	global $wp_cache_object_cache, $cache_compression, $wp_cache_slash_check, $wp_supercache_304, $wp_cache_home_path, $wp_cache_no_cache_for_get;
+ 	global $wp_cache_disable_utf8;
  
  	extract( wp_super_cache_init() );
  
***************
*** 184,190 ****
  			) && 
  			( wp_cache_get_cookies_values() == '' && empty( $_GET ) && $serving_supercache ) )
  		{
! 			header( "Content-type: text/html; charset=UTF-8" ); // UTF-8 hard coded is bad but we don't know what it is this early in the process
  			header( "Vary: Accept-Encoding, Cookie" );
  			header( "Cache-Control: max-age=3, must-revalidate" );
  			header( "WP-Super-Cache: Served supercache file from PHP" );
--- 184,191 ----
  			) && 
  			( wp_cache_get_cookies_values() == '' && empty( $_GET ) && $serving_supercache ) )
  		{
! 			if ( isset( $wp_cache_disable_utf8 ) == false || $wp_cache_disable_utf8 == 0 )
! 				header( "Content-type: text/html; charset=UTF-8" ); 
  			header( "Vary: Accept-Encoding, Cookie" );
  			header( "Cache-Control: max-age=3, must-revalidate" );
  			header( "WP-Super-Cache: Served supercache file from PHP" );
***************
*** 400,406 ****
  		return $cache_key;
  		break;
  	case "mobile":
! 		return $cache_key . "_mobile";
  		break;
  	}
  
--- 401,407 ----
  		return $cache_key;
  		break;
  	case "mobile":
! 		return $cache_key . "-mobile";
  		break;
  	}
  
***************
*** 487,493 ****
  	return apply_filters( 'wp_super_cache_supercachedir', $cache_path . 'supercache/' . trailingslashit( strtolower( preg_replace( '/:.*$/', '', str_replace( 'http://', '', str_replace( 'https://', '', $home ) ) ) ) ) );
  }
  function get_current_url_supercache_dir( $post_id = 0 ) {
! 	global $cached_direct_pages, $cache_path, $wp_cache_request_uri;
  	static $saved_supercache_dir = array();
  
  	if ( isset( $saved_supercache_dir[ $post_id ] ) ) {
--- 488,494 ----
  	return apply_filters( 'wp_super_cache_supercachedir', $cache_path . 'supercache/' . trailingslashit( strtolower( preg_replace( '/:.*$/', '', str_replace( 'http://', '', str_replace( 'https://', '', $home ) ) ) ) ) );
  }
  function get_current_url_supercache_dir( $post_id = 0 ) {
! 	global $cached_direct_pages, $cache_path, $wp_cache_request_uri, $WPSC_HTTP_HOST, $wp_cache_home_path;
  	static $saved_supercache_dir = array();
  
  	if ( isset( $saved_supercache_dir[ $post_id ] ) ) {
***************
*** 504,511 ****
  			*/
  			$DONOTREMEMBER = 1;
  			if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: warning! site_url ($site_url) not found in permalink ($permalink).", 1 );
! 			if ( false === strpos( $permalink, $_SERVER[ 'SERVER_NAME' ] ) ) {
! 				if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: WARNING! SERVER_NAME ({$_SERVER[ 'SERVER_NAME' ]}) not found in permalink ($permalink). ", 1 );
  				$p = parse_url( $permalink );
  				if ( is_array( $p ) ) {
  					$uri = $p[ 'path' ];
--- 505,512 ----
  			*/
  			$DONOTREMEMBER = 1;
  			if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: warning! site_url ($site_url) not found in permalink ($permalink).", 1 );
! 			if ( false === strpos( $permalink, $WPSC_HTTP_HOST ) ) {
! 				if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: WARNING! SERVER_NAME ({$WPSC_HTTP_HOST}) not found in permalink ($permalink). ", 1 );
  				$p = parse_url( $permalink );
  				if ( is_array( $p ) ) {
  					$uri = $p[ 'path' ];
***************
*** 519,537 ****
  					$protocol = ( 'on' == strtolower( $_SERVER[ 'HTTPS' ] ) ) ? 'https://' : 'http://';
  				else
  					$protocol = 'http://';
! 				if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: Removing SERVER_NAME ({$_SERVER[ 'SERVER_NAME' ]}) and $protocol from permalink ($permalink). Is the url right?", 1 );
! 				$uri = str_replace( $_SERVER[ 'SERVER_NAME' ], '', $permalink );
  				$uri = str_replace( $protocol, '', $uri );
  			}
  		} else {
  			$uri = str_replace( $site_url, '', $permalink );
  		}
  	} else {
  		$uri = strtolower( $wp_cache_request_uri );
  	}
  	$uri = preg_replace('/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '/index.php', '/', str_replace( '..', '', preg_replace("/(\?.*)?$/", '', $uri ) ) ) );
  	$uri = str_replace( '\\', '', $uri );
! 	$dir = preg_replace( '/:.*$/', '',  $_SERVER["SERVER_NAME"] ) . $uri; // To avoid XSS attacks
  	if ( function_exists( "apply_filters" ) ) {
  		$dir = apply_filters( 'supercache_dir', $dir );
  	} else {
--- 520,540 ----
  					$protocol = ( 'on' == strtolower( $_SERVER[ 'HTTPS' ] ) ) ? 'https://' : 'http://';
  				else
  					$protocol = 'http://';
! 				if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( "get_current_url_supercache_dir: Removing SERVER_NAME ({$WPSC_HTTP_HOST}) and $protocol from permalink ($permalink). Is the url right?", 1 );
! 				$uri = str_replace( $WPSC_HTTP_HOST, '', $permalink );
  				$uri = str_replace( $protocol, '', $uri );
  			}
  		} else {
  			$uri = str_replace( $site_url, '', $permalink );
+ 			if ( strpos( $uri, $wp_cache_home_path ) !== 0 )
+ 				$uri = rtrim( $wp_cache_home_path, '/' ) . $uri;
  		}
  	} else {
  		$uri = strtolower( $wp_cache_request_uri );
  	}
  	$uri = preg_replace('/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '/index.php', '/', str_replace( '..', '', preg_replace("/(\?.*)?$/", '', $uri ) ) ) );
  	$uri = str_replace( '\\', '', $uri );
! 	$dir = preg_replace( '/:.*$/', '',  $WPSC_HTTP_HOST ) . $uri; // To avoid XSS attacks
  	if ( function_exists( "apply_filters" ) ) {
  		$dir = apply_filters( 'supercache_dir', $dir );
  	} else {
***************
*** 611,620 ****
  }
  
  function get_oc_key( $url = false ) {
! 	global $wp_cache_gzip_encoding;
  
  	if ( $url ) {
! 		$key = intval( $_SERVER[ 'SERVER_PORT' ] ) . strtolower( preg_replace( '/:.*$/', '',  $_SERVER[ "SERVER_NAME" ] ) ) . $url;
  	} else {
  		$key = get_current_url_supercache_dir();
  	}
--- 614,623 ----
  }
  
  function get_oc_key( $url = false ) {
! 	global $wp_cache_gzip_encoding, $WPSC_HTTP_HOST;
  
  	if ( $url ) {
! 		$key = intval( $_SERVER[ 'SERVER_PORT' ] ) . strtolower( preg_replace( '/:.*$/', '',  $WPSC_HTTP_HOST ) ) . $url;
  	} else {
  		$key = get_current_url_supercache_dir();
  	}
***************
*** 625,634 ****
  	if ( isset( $_GET[ 'preview' ] ) || function_exists( "is_admin" ) && is_admin() )
  		return $cookies;
  
! 	if ( false == apply_filters( 'wp_supercache_remove_cookies', true ) )
  		return true;
  
  	$cookie_keys = array( 'wordpress_logged_in', 'comment_author_' );
  	reset( $_COOKIE );
  	foreach( $_COOKIE as $cookie => $val ) {
  		reset( $cookie_keys );
--- 628,639 ----
  	if ( isset( $_GET[ 'preview' ] ) || function_exists( "is_admin" ) && is_admin() )
  		return $cookies;
  
! 	if ( false == do_cacheaction( 'wp_supercache_remove_cookies', true ) )
  		return true;
  
  	$cookie_keys = array( 'wordpress_logged_in', 'comment_author_' );
+ 	if ( defined( 'LOGGED_IN_COOKIE' ) )
+ 		$cookie_keys[] = constant( 'LOGGED_IN_COOKIE' );
  	reset( $_COOKIE );
  	foreach( $_COOKIE as $cookie => $val ) {
  		reset( $cookie_keys );
